#!/bin/sh

res='fail'
module_name='ElephantDrive'
module_path="/raid/data/module/${module_name}"

. /raid/data/tmp/module/System/lib/libsys
ret=`etc_backup "$module_name"`

mkdir "/raid/data/module/cfg/" 	        	> /dev/null 2>&1
mkdir "/raid/data/module/cfg/module.rc/" 	> /dev/null 2>&1
mkdir "${module_path}/"     	> /dev/null 2>&1
mkdir "${module_path}/bin/" 	> /dev/null 2>&1
mkdir "${module_path}/shell/" 	> /dev/null 2>&1
mkdir "${module_path}/sys/" 	> /dev/null 2>&1
mkdir "${module_path}/www/" 	> /dev/null 2>&1
mkdir "${module_path}/drv/"     > /dev/null 2>&1

cp -f 	/raid/data/tmp/module/Shell/module.rc        "/raid/data/module/cfg/module.rc/$module_name.rc" 	> /dev/null 2>&1
cp -rf 	/raid/data/tmp/module/Binary/* 		    	 "${module_path}/bin"	> /dev/null 2>&1
cp -rf 	/raid/data/tmp/module/Shell/* 		         "${module_path}/shell"	> /dev/null 2>&1
cp -rf 	/raid/data/tmp/module/System/* 			     "${module_path}/sys"	> /dev/null 2>&1
cp -rf 	/raid/data/tmp/module/WWW/*			         "${module_path}/www"	> /dev/null 2>&1
cp -rf  /raid/data/tmp/module/Driver/*               "${module_path}/drv"   > /dev/null 2>&1
cp -f 	/raid/data/tmp/module/Configure/license.txt	 "${module_path}/COPY"	> /dev/null 2>&1

#ln -sf "/raid/data/module/$module_name/sys/conf" "/raid/data/module/$module_name/config"
#ln -sf "/raid/data/module/$module_name/sys/log" "/raid/data/module/$module_name/log"
#ln -sf "/raid/data/module/$module_name/sys/tmp" "/raid/data/module/$module_name/tmp"

set_msg_log "$module_name" "ElephantDrive"
set_msg_log "$module_name" "Rock N Roll"
set_event "$module_name" "1001" "info" "no" 
#ret=`create_module_folder "$module_name"`

res='pass'

echo $res
